AquaMapsServiceCall
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper
Class AquaMapsServiceCall

    java.lang.Object
      RICall
          org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.AquaMapsCall
              org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.AquaMapsServiceCall

All Implemented Interfaces:
  AquaMapsServiceInterface

    public class AquaMapsServiceCall

extends AquaMapsCall
implements AquaMapsServiceInterface

Method Summary
`Envelope` | `calculateEnvelope(BoundingBox bb, java.util.List<Area> areas, java.lang.String speciesId, boolean useBottom, boolean useBounding, boolean useFAO)`
`Envelope` | `calculateEnvelopeFromCellSelection(java.util.List<java.lang.String> cellIds, java.lang.String speciesId)`
`int` | `deleteSubmitted(java.util.List<java.lang.Integer> ids)`
`static AquaMapsServiceInterface` | `getCall(GCUBEScope scope, GCUBESecurityManager[] securityManager, java.lang.String defaultURI, boolean queryIS)`
`static AquaMapsServiceInterface` | `getCall(GCUBEScope scope, java.lang.String defaultURI, boolean queryIS)` Creates a call with a disabled security manager
`java.io.File` | `getCSVSpecies(int hspenId, java.util.List<Filter> genericSearch, java.util.List<Filter> advancedFilters)`
`java.lang.String` | `getJSONOccurrenceCells(java.lang.String speciesId, PagedRequestSettings settings)`
`java.lang.String` | `getJSONPhilogeny(SpeciesOccursumFields level, java.util.ArrayList<Field> filters, PagedRequestSettings settings)`
`java.lang.String` | `getJSONResources(PagedRequestSettings settings, java.util.List<Field> filter)`
`java.lang.String` | `getJSONSpecies(int hspenId, java.util.List<Filter> genericSearch, java.util.List<Filter> advancedFilters, PagedRequestSettings settings)`
`java.lang.String` | `getJSONSubmitted(java.lang.String userName, boolean showObjects, java.lang.String date, java.lang.Integer jobId, SubmittedStatus status, ObjectType objType, PagedRequestSettings settings)`
`java.lang.String` | `getPortTypeName()`
`Species` | `loadEnvelope(java.lang.String speciesId, int hspenId)`
`AquaMapsObject` | `loadObject(int objectId)` wraps getProfile
`Resource` | `loadResource(int resId)`
`Submitted` | `loadSubmittedById(int id)`
`void` | `markSaved(java.util.List<java.lang.Integer> submittedIds)`
`void` | `submitJob(Job toSubmit)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCall

    public static AquaMapsServiceInterface getCall(GCUBEScope scope,
                                                   GCUBESecurityManager[] securityManager,
                                                   java.lang.String defaultURI,
                                                   boolean queryIS)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCall

    public static AquaMapsServiceInterface getCall(GCUBEScope scope,
                                                   java.lang.String defaultURI,
                                                   boolean queryIS)
                                            throws java.lang.Exception

  Creates a call with a disabled security manager

  Parameters:
    `scope` -
    `defaultURI` -
  Returns:
  Throws:
    `java.lang.Exception`

### getPortTypeName

    public java.lang.String getPortTypeName()

### calculateEnvelope

    public Envelope calculateEnvelope(BoundingBox bb,
                                      java.util.List<Area> areas,
                                      java.lang.String speciesId,
                                      boolean useBottom,
                                      boolean useBounding,
                                      boolean useFAO)
                               throws java.lang.Exception

  Specified by:
    `calculateEnvelope` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### calculateEnvelopeFromCellSelection

    public Envelope calculateEnvelopeFromCellSelection(java.util.List<java.lang.String> cellIds,
                                                       java.lang.String speciesId)
                                                throws java.lang.Exception

  Specified by:
    `calculateEnvelopeFromCellSelection` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### deleteSubmitted

    public int deleteSubmitted(java.util.List<java.lang.Integer> ids)
                        throws java.lang.Exception

  Specified by:
    `deleteSubmitted` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getJSONSubmitted

    public java.lang.String getJSONSubmitted(java.lang.String userName,
                                             boolean showObjects,
                                             java.lang.String date,
                                             java.lang.Integer jobId,
                                             SubmittedStatus status,
                                             ObjectType objType,
                                             PagedRequestSettings settings)
                                      throws java.lang.Exception

  Specified by:
    `getJSONSubmitted` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getJSONOccurrenceCells

    public java.lang.String getJSONOccurrenceCells(java.lang.String speciesId,
                                                   PagedRequestSettings settings)
                                            throws java.lang.Exception

  Specified by:
    `getJSONOccurrenceCells` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### loadObject

    public AquaMapsObject loadObject(int objectId)
                              throws java.lang.Exception

  wraps getProfile

  Specified by:
    `loadObject` in interface `AquaMapsServiceInterface`
  Returns:
  Throws:
    `java.lang.Exception`

### loadResource

    public Resource loadResource(int resId)
                          throws java.lang.Exception

  Specified by:
    `loadResource` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getJSONResources

    public java.lang.String getJSONResources(PagedRequestSettings settings,
                                             java.util.List<Field> filter)
                                      throws java.lang.Exception

  Specified by:
    `getJSONResources` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getJSONSpecies

    public java.lang.String getJSONSpecies(int hspenId,
                                           java.util.List<Filter> genericSearch,
                                           java.util.List<Filter> advancedFilters,
                                           PagedRequestSettings settings)
                                    throws java.lang.Exception

  Specified by:
    `getJSONSpecies` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### loadEnvelope

    public Species loadEnvelope(java.lang.String speciesId,
                                int hspenId)
                         throws java.lang.Exception

  Specified by:
    `loadEnvelope` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### markSaved

    public void markSaved(java.util.List<java.lang.Integer> submittedIds)
                   throws java.lang.Exception

  Specified by:
    `markSaved` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### submitJob

    public void submitJob(Job toSubmit)
                   throws java.lang.Exception

  Specified by:
    `submitJob` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### loadSubmittedById

    public Submitted loadSubmittedById(int id)
                                throws java.lang.Exception

  Specified by:
    `loadSubmittedById` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getJSONPhilogeny

    public java.lang.String getJSONPhilogeny(SpeciesOccursumFields level,
                                             java.util.ArrayList<Field> filters,
                                             PagedRequestSettings settings)
                                      throws java.lang.Exception

  Specified by:
    `getJSONPhilogeny` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

### getCSVSpecies

    public java.io.File getCSVSpecies(int hspenId,
                                      java.util.List<Filter> genericSearch,
                                      java.util.List<Filter> advancedFilters)
                               throws java.lang.Exception

  Specified by:
    `getCSVSpecies` in interface `AquaMapsServiceInterface`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD